package com.yunzhi.fifteenpuzzle.common;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Component;

import javax.mail.MessagingException;
import javax.mail.internet.MimeMessage;
import java.util.Date;

@Component
public class MailUtils {
    JavaMailSender javaMailSender;

    @Autowired
    MailUtils(JavaMailSender javaMailSender) {
        this.javaMailSender = javaMailSender;
    }

    public void sendHTML(String to, String content) throws MessagingException {
        MimeMessage mimeMessage = javaMailSender.createMimeMessage();
        MimeMessageHelper helper = new MimeMessageHelper(mimeMessage, true);
        helper.setSubject("请查收16宫格结果");
        helper.setFrom("云致科技");
        helper.setTo(to);
        helper.setSentDate(new Date());
        helper.setText(content, true);
        javaMailSender.send(mimeMessage);
    }
}
