package com.yunzhi.fifteenpuzzle.mapper;

import com.yunzhi.fifteenpuzzle.entity.TaOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 登录表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface TaOrderMapper extends BaseMapper<TaOrder> {

    @Update("update ta_order set ${columnName} = #{value}} where order_id = #{orderId}")
    int updateStatus(@Param("orderId") String orderId,@Param("columnName") String columnName,@Param("value") Integer value);
}
