package com.yunzhi.fifteenpuzzle.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "alipay")
public class AliPayConfig {
    String serverUrl;
    String appId;
    String privateKey;
    String charset;
    String format;
    String signType;
    String appCertPath;
    String alipayPublicCertPath;
    String rootCertPath;
}
